# WebTTS 3.0 - A WWW-based Trouble Ticketing System
# $Id: tts-inc.pl,v 3.0 1999/07/31 02:26:30 gashalot Exp gashalot $
# Robert Gash, (C) 1998,1999
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#                                                                               

##### USER EDIT SECTION #####
# The URL tts.pl is found
$action = "http://www/path/to/tts.pl";

# The path to the date command (normally /bin/date)
$date = qx{/bin/date};

# The background color for the field names when viewing a ticket
$bg ="bfb8bf";

# The Ticket Types (these are generally all that are needed)
@TYPES = ('Trouble','Downtime','Maintenance','Alert','Outage');

# The Areas Affected
@AREAS = ('Network','Dialups','UNIX','NT','Co-Lo');

# The Status options
@STATUS = ('Open','Update','Verified','Addressing','Resolved','Closed');

# The public type fields (these must already be in @TYPES, these are the
# only ticket types that can be viewed through pubview.pl).  These must match
# exactly with the ones in @TYPES or they won't work.
@PUBLIC = ('Downtime','Alert','Maintenance','Outage');

# Do you want to see the customer fields?
$usecust = 1;

# Do you want to use the assignment fields? (you must use the USERNAME, not
# email or REALNAME in the assignment field, if you don't assign a user no one
# will get eMail!
$useassign = 1;

# What eMail Address should I send from?
$whoami = "webtts\@somewhere";

# Do you want to eMail the users & customers (will not send mail to users if
# you have disabled user assignment or don't assign one, and customers
# will not get mail if they don't have an eMail address or the customer fields
# are turned off.  Users assigned to tickets will get emails whenever their
# ticket is updated!)
$useemail = 1;

# If $useemail is set to one, give the hostname or IP of your SMTP server here
$smtp = "localhost";

# What is the closed ticket status called?
$closed = "Closed";

# What do you want to call the new button that allows you to view all open
# tickets? 
# (open is defined as everything but tickets with the status of $closed.
$all = "All";

# What database name did you create and install the tables into?
$dbname = "webtts";

# The IP/hostname of your database server
$dbhost = "localhost";

# The port that your database server runs on
$dbport = "3306";

# The webtts DB user login, I recommend NOT using the root login and creating
# a new one that ONLY has INSERT, SELECT, UPDATE and DELETE privs on your
# $dbname database.
$dbuser = "root";

# The password for your $dbuser, undef if no password is required (A VERY\
# VERY HORRIBLE IDEA).
$dbpass = undef;

# This is our DSN, don't edit it unless you REALLY know what you are doing!!!
$dsn = "DBI:mysql:database=$dbname;host=$dbhost;port=$dbport";

##### END USER EDIT SECTION #####

# Our salt for encryption of passwords
$salt = "1D87Fqu76W";
chop $date;
$version = "3.0 ALPHA1";

sub HTMLTop {
#  print "Content-type: text/html\n\n";
  print "<HTML><HEAD><TITLE>";
}

sub HTMLBot {
  if ($usercheck == 1) {
  print "\n<hr><form method=post action=$action>";
  &UF;
  print "<input type=submit name=func value=New>\&nbsp\;";
  print "<input type=submit name=func value=View>\&nbsp\;";
  print "<input type=submit name=func value=Edit>\&nbsp\;";
  if ($adminbit != 0) {
  print "<input type=submit name=func value=\"User Management\">\&nbsp\;";
  }
  print "\&nbsp\;\&nbsp\;<input type=submit name=func value=\"Main Menu\"></form>\n";
  }
  print "\n<hr><font size=-1><i><a href=\"http://www.gashalot.com/webtts\">WebTTS</a> $version <br> Written by: Robert Gash";
  print " (gashalot @ gashalot . com)";
  print "</i></font></BODY></HTML>";
}

sub HTMLBod {
  print "</TITLE></HEAD><BODY BGCOLOR=FFFFFF TEXT=000000>";
}

sub UF {
  print "<input type=hidden name=user value=$user>\n";
  print "<input type=hidden name=pass value=$pass>\n";
}

1;
